<?php
/*-------------------------------------------------------+
| Projects Panel for PHP-Fusion CMS
| Copyright (C) 2011 bartek124
| http://www.bartek124.net
+--------------------------------------------------------+
| Filename: projects_panel.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."projects_panel/infusion_db.php";
if (file_exists(INFUSIONS."projects_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."projects_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."projects_panel/locale/English.php";
}

$result = dbquery("SELECT project_id, project_name, project_version, project_progress FROM ".DB_PROJECTS." WHERE project_progress!='100' ORDER BY project_updatestamp DESC LIMIT 0,5");
opentable($locale['pp_p001']);
if(dbrows($result)) {
    echo "<table class='tbl-border center' width='100%' cellspacing='1' cellpadding='0'>\n";
    echo "<tr>\n";
    echo "<td class='tbl2' style='width:40%;font-weight:bold;'>".$locale['pp_p002']."</td>\n";
    echo "<td class='tbl2' colspan='2' style='width:60%;text-align:center;font-weight:bold;'>".$locale['pp_p003']."</td>\n";
    echo "</tr>\n";
    $i = 0;
    while($data = dbarray($result)) {
        $class = $i % 2 == 0 ? "tbl1" : "tbl2";
        echo "<tr>\n";
        echo "<td class='".$class."' style='width:40%;font-weight:bold;'><a href='".INFUSIONS."projects_panel/projects.php?project_id=".$data['project_id']."' title='".$data['project_name']." ".$data['project_version']."'>".$data['project_name']."</a></td>\n";
        echo "<td class='".$class."' style='width:1%;'>".$data['project_progress']."%</td>\n";
        echo "<td class='".$class."' style='width:59%;'><img src='".get_image("pollbar")."' height='12' width='".$data['project_progress']."%' class='poll' alt='".$locale['pp_p004'].$data['project_progress']."%' /></td>\n";
        echo "</tr>\n";
        $i++;
    }
    echo "</table>\n";
} else {
    echo "<div style='text-align:center'><br />".$locale['pp_p005']."<br /><br /></div>\n";
}
closetable();
?>