<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk
+--------------------------------------------------------+
| Filename: infusion.php, bartek124
| Author: Nick Jones (Digitanium)
| http://www.bartek124.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."projects_panel/infusion_db.php";
if (file_exists(INFUSIONS."projects_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."projects_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."projects_panel/locale/English.php";
}

$inf_title = $locale['pp_title'];
$inf_description = $locale['pp_desc'];
$inf_version = "1.1";
$inf_developer = "bartek124";
$inf_email = "bartek@bartek124.net";
$inf_weburl = "http://www.bartek124.net";

$inf_folder = "projects_panel";

$inf_newtable[1] = DB_PROJECTS." (
project_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
project_name VARCHAR(100) DEFAULT '' NOT NULL,
project_version VARCHAR(10) DEFAULT '' NOT NULL,
project_description TEXT DEFAULT '' NOT NULL,
project_progress TINYINT(3) DEFAULT '0' NOT NULL,
project_datestamp INT(10) DEFAULT '0' NOT NULL,
project_updatestamp INT(10) DEFAULT '0' NOT NULL,
project_user MEDIUMINT(8) DEFAULT '0' NOT NULL,
PRIMARY KEY (project_id),
KEY project_progress (project_progress),
KEY project_user (project_user)
) ENGINE=MyISAM;";

$inf_droptable[1] = DB_PROJECTS;

$inf_adminpanel[1] = array(
    "title" => $locale['pp_admin1'],
    "image" => "projects.gif",
    "panel" => "projects_admin.php",
    "rights" => "PP"
);

$inf_sitelink[1] = array(
    "title" => $locale['pp_link1'],
    "url" => "projects.php",
    "visibility" => "0"
);
?>