<?php
/*-------------------------------------------------------+
| Projects Panel for PHP-Fusion CMS
| Copyright (C) 2011 bartek124
| http://www.bartek124.net
+--------------------------------------------------------+
| Filename: projects_admin.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("PP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
if(isset($_GET['project_id']) && !isnum($_GET['project_id'])) { redirect(FUSION_SELF.$aidlink); }

include INFUSIONS."projects_panel/infusion_db.php";
if (file_exists(INFUSIONS."projects_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."projects_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."projects_panel/locale/English.php";
}
require_once INCLUDES."html_buttons_include.php";

add_to_head("<script type='text/javascript'>$(document).ready(function() {  
    $('input#screenupload').change(function(){
        upload_screen(this);
    });
});
function upload_screen(obj) {
    $(obj).attr('name', 'project_screens[]');
    $(obj).hide();
    $(obj).parent().prepend('<input type=\'file\' class=\'textbox\' name=\'project_screen\' style=\'width:200px;\' id=\'screenupload\' />').find('input').change(function() {upload_screen(this)});
    var v = obj.value;
    var lol = $('span.newscreens');
    for(i = 0; i < lol.length; i++) {
        if(v == $(lol[i]).text()) {
            alert('".$locale['pp_a001']."');
            return false;
        }
    }
    if(v != '') {
        $('div#files_list').append('<div style=\'margin-bottom:2px;\'><input type=\'button\' value=\'".$locale['pp_a002']."\' class=\'button\' /> <span class=\'newscreens\'>'+v+'</span></div>').find('input').click(function(){
            $(this).parent().remove();
            $(obj).remove();
            return true;
        });
    }
}</script>");

if((isset($_GET['action']) && $_GET['action'] == "delete") && isset($_GET['project_id'])) {
    if(dbcount("(project_id)", DB_PROJECTS, "project_id='".$_GET['project_id']."'")) {
        $result = dbquery("DELETE FROM ".DB_PROJECTS." WHERE project_id='".$_GET['project_id']."'");
        $i = 0;
        while($png = file_exists(INFUSIONS."projects_panel/screens/".$_GET['project_id']."_".$i.".png") || $jpg = file_exists(INFUSIONS."projects_panel/screens/".$_GET['project_id']."_".$i.".jpg")) {
            unlink(INFUSIONS."projects_panel/screens/".$_GET['project_id']."_".$i.".".(isset($jpg) ? "jpg" : "png"));
            unset($png, $jpg);
            $i++;
        }
        redirect(FUSION_SELF.$aidlink."&message=deleted");
    } else {
        redirect(FUSION_SELF.$aidlink);
    }
}

if((isset($_GET['action']) && $_GET['action'] == "delete_screen") && isset($_GET['screen'])) {
    preg_match("#([0-9]+)_([0-9]+)\.(jpg|jpeg|png)#", $_GET['screen'], $screen);
    if(!empty($screen) && file_exists(INFUSIONS."projects_panel/screens/".$screen[0])) {
        unlink(INFUSIONS."projects_panel/screens/".$screen[0]);
        $i = $screen[2]+1;
        while($png = file_exists(INFUSIONS."projects_panel/screens/".$screen[1]."_".$i.".png") || $jpg = file_exists(INFUSIONS."projects_panel/screens/".$screen[1]."_".$i.".jpg")) {
            rename(INFUSIONS."projects_panel/screens/".$screen[1]."_".$i.".".(isset($jpg) ? "jpg" : "png"), INFUSIONS."projects_panel/screens/".$screen[1]."_".($i-1).".".(isset($jpg) ? "jpg" : "png"));
            unset($png, $jpg);
            $i++;
        }
        redirect(FUSION_SELF.$aidlink.(isset($_GET['project_id']) && isnum($_GET['project_id']) ? "&action=edit&project_id=".$_GET['project_id'] : "")."&message=sdeleted");
    } else {
        redirect(FUSION_SELF.$aidlink);
    }
}

if(isset($_POST['save_project'])) {
    $project_name = stripinput($_POST['project_name']);
    $project_version = stripinput($_POST['project_version']);
    $project_description = addslashes($_POST['project_description']);
    $project_progress = isnum($_POST['project_progress']) && $_POST['project_progress'] <= 100 && $_POST['project_progress'] >= 0 ? $_POST['project_progress'] : redirect(FUSION_SELF.$aidlink."&message=error1");
    if(empty($project_name) || empty($project_version) || empty($project_description) || $project_progress == "") {
        redirect(FUSION_SELF.$aidlink."&message=error2");
    } else {
        if((isset($_GET['action']) && $_GET['action'] == "edit") && isset($_GET['project_id'])) {
            $i2 = 0;
            while($png = file_exists(INFUSIONS."projects_panel/screens/".$_GET['project_id']."_".$i2.".png") || $jpg = file_exists(INFUSIONS."projects_panel/screens/".$_GET['project_id']."_".$i2.".jpg")) {
                $i2++;
            }
            print_r($_FILES['project_screens']);
            $id = $_GET['project_id'];
            $ok_screens = $i2;
            for($i = 0; $i < count($_FILES['project_screens']['name']); $i++) {
                $file_name = explode(".", $_FILES['project_screens']['name'][$i]);
                if(($file_name[1] == "jpg" || $file_name[1] == "png") && $_FILES['project_screens']['size'][$i] <= 150000 && ($_FILES['project_screens']['type'][$i] == "image/jpeg" || $_FILES['project_screens']['type'][$i] == "image/png")) {
                    move_uploaded_file($_FILES['project_screens']['tmp_name'][$i], INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1]);
                    if(!getimagesize(INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1]) || !verify_image(INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1])) {
                        unlink(INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1]);
                    } else {
                        $ok_screens++;
                    }
                }
            }
            $project_updatestamp = isset($_POST['project_updatestamp']) ? ", project_updatestamp='".time()."'" : "";
            $result = dbquery("UPDATE ".DB_PROJECTS." SET project_name='".$project_name."', project_version='".$project_version."', project_description='".$project_description."', project_progress='".$project_progress."'".$project_updatestamp." WHERE project_id='".$_GET['project_id']."'");
            redirect(FUSION_SELF.$aidlink."&message=edited");
        } else {
            echo "<pre>";
            print_r($_FILES['project_screens']);
            echo "</pre>";
            $result = dbarray(dbquery("SHOW TABLE STATUS LIKE '".DB_PROJECTS."'"));
            $id = $result['Auto_increment'];
            $ok_screens = 0;
            for($i = 0; $i <= count($_FILES['project_screens']['name']); $i++) {
                $file_name = explode(".", $_FILES['project_screens']['name'][$i]);
                if(($file_name[1] == "jpg" || $file_name[1] == "png") && $_FILES['project_screens']['size'][$i] <= 150000 && ($_FILES['project_screens']['type'][$i] == "image/jpeg" || $_FILES['project_screens']['type'][$i] == "image/png")) {
                    move_uploaded_file($_FILES['project_screens']['tmp_name'][$i], INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1]);
                    if(!getimagesize(INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1]) || !verify_image(INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1])) {
                        unlink(INFUSIONS."projects_panel/screens/".$id."_".$ok_screens.".".$file_name[1]);
                    } else {
                        $ok_screens++;
                    }
                }
            }
            $result = dbquery("INSERT INTO ".DB_PROJECTS." (project_name, project_version, project_description, project_progress, project_datestamp, project_updatestamp, project_user) VALUES ('".$project_name."', '".$project_version."', '".$project_description."', '".$project_progress."', '".time()."', '".time()."', '".$userdata['user_id']."')");
            redirect(FUSION_SELF.$aidlink."&message=saved");
        }
    }
}

if((isset($_GET['action']) && $_GET['action'] == "edit") && isset($_GET['project_id'])) {
    $result = dbquery("SELECT * FROM ".DB_PROJECTS." WHERE project_id='".$_GET['project_id']."'");
    $data = dbarray($result);
    $project_name = $data['project_name'];
    $project_version = $data['project_version'];
    $project_progress = $data['project_progress'];
    $project_description = stripslashes($data['project_description']);
    $formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;project_id=".$data['project_id'];
    $screens = array();
    $i = 0;
    while($png = file_exists(INFUSIONS."projects_panel/screens/".$data['project_id']."_".$i.".png") || $jpg = file_exists(INFUSIONS."projects_panel/screens/".$data['project_id']."_".$i.".jpg")) {
        $screens[] = $data['project_id']."_".$i.".".(isset($jpg) ? "jpg" : "png");
        unset($png, $jpg);
        $i++;
    }
} else {
    $project_name = "";
    $project_version = "";
    $project_progress = "";
    $project_description = "";
    $formaction = FUSION_SELF.$aidlink;
    $screens = array();
}

if(isset($_GET['message'])) {
    echo "<div class='admin-message'>";
    switch($_GET['message']) {
        case "saved":
            echo $locale['pp_a003'];
            break;
        case "edited":
            echo $locale['pp_a004'];
            break;
        case "deleted":
            echo $locale['pp_a005'];
            break;
        case "sdeleted":
            echo $locale['pp_a008'];
            break;
        case "error1":
            echo $locale['pp_a006'];
            break;
        case "error2":
            echo $locale['pp_a007'];
            break;
        default:
            redirect(FUSION_SELF.$aidlink);
    }
    echo "</div>";
}
opentable($locale['pp_a010']);
echo "<form name='project_form' method='post' action='".$formaction."' enctype='multipart/form-data'>\n";
echo "<table class='center' cellspacing='0' cellpadding='0' width='400'>\n<tr>\n";
echo "<td class='tbl' align='right' width='100'>".$locale['pp_a011']."</td>\n";
echo "<td class='tbl'><input type='text' class='textbox' maxlength='100' name='project_name' style='width:200px;' value='".$project_name."' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' align='right' width='100'>".$locale['pp_a012']."</td>\n";
echo "<td class='tbl'><input type='text' class='textbox' maxlength='10' name='project_version' style='width:100px;' value='".$project_version."' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' align='right' width='100'>".$locale['pp_a013']."</td>\n";
echo "<td class='tbl'><input type='text' class='textbox' maxlength='3' name='project_progress' style='width:50px;' value='".$project_progress."' />%</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' align='right' width='100'>".$locale['pp_a014']."</td>\n";
echo "<td class='tbl'><textarea class='textbox' name='project_description' style='width:300px;height:150px;' rows='11' cols='47'>".$project_description."</textarea></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'></td>\n";
echo "<td class='tbl'>".display_html("project_form", "project_description", true)."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' align='right' width='100'>".$locale['pp_a015']."</td>\n";
echo "<td class='tbl'><input type='file' class='textbox' name='project_screen' style='width:200px;' id='screenupload' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' colspan='2'>\n";
echo "<div id='existed_screens' style='width:400px;overflow:auto;white-space:nowrap;'>\n";
foreach($screens as $screen) {
    echo "<div style=\'margin-bottom:2px;\'><input type='button' onclick=\"location.href='".FUSION_SELF.$aidlink."&action=delete_screen&screen=".$screen.(isset($_GET['project_id']) && isnum($_GET['project_id']) ? "&project_id=".$_GET['project_id'] : "")."'\" name='delete_screen' value='".$locale['pp_a016']."' class='button' /> ".$screen."</div>\n";
}
echo "</div>\n<hr />\n";
echo "<div id='files_list' style='width:400px;overflow:auto;white-space:nowrap;'></div>\n</td>\n";
if((isset($_GET['action']) && $_GET['action'] == "edit") && isset($_GET['project_id'])) {
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl' align='center' colspan='2'><input type='checkbox' name='project_updatestamp' value='1' />".$locale['pp_a017']."</td>\n";
}
echo "</tr>\n<tr>\n";
echo "<td class='tbl' align='center' colspan='2'><br /><input type='submit' class='button' name='save_project' value='".$locale['pp_a018']."' /></td>\n";
echo "</tr>\n</table>\n";
echo "</form>\n";
closetable();

opentable($locale['pp_a019']);
$result = dbquery("SELECT * FROM ".DB_PROJECTS." ORDER BY project_name");
echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='400'>\n";
if(dbrows($result)) {
    echo "<tr>\n";
    echo "<td class='tbl2' width='150' style='font-weight:bold;'>".$locale['pp_a020']."</td>\n";
    echo "<td class='tbl2' width='150' colspan='2' align='center' style='font-weight:bold;'>".$locale['pp_a021']."</td>\n";
    echo "<td class='tbl2' align='right' width='1%' style='font-weight:bold;'>".$locale['pp_a022']."</td>\n";
    echo "</tr>\n";
    $i = 0;
    while($data = dbarray($result)) {
        $class = $i % 2 == 0 ? "tbl1" : "tbl2";
        echo "<tr>\n";
        echo "<td class='".$class."'>".$data['project_name']."</td>\n";
        echo "<td class='".$class."' width='1%'>".$data['project_progress']."%</td>\n";
        echo "<td class='".$class."'><img src='".get_image("pollbar")."' height='12' width='".$data['project_progress']."%' class='poll' alt='' /></td>\n";
        echo "<td class='".$class."' style='white-space: nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;project_id=".$data['project_id']."'>".$locale['pp_a023']."</a> - <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;project_id=".$data['project_id']."' onclick=\"return confirm('".$locale['pp_a025']."');\">".$locale['pp_a024']."</a></td>\n";
        echo "</tr>\n";
        $i++;
    }
} else {
    echo "<tr>\n<td align='center' class='tbl1'>".$locale['pp_a026']."</td>\n</tr>\n";
}
echo "</table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>